#ifndef ARDUIO_UNO_HEADER
#define ARDUIO_UNO_HEADER

/*
**Christof Ermer**
(C) Universitt Regensburg
Post an Christof.Ermer@ur.de
Tel. 017695678800
13.12.2014
ARDUINO UNI BASIS Defines um mit den Bezeichnern der Hardware 1:1 arbeiten zu knnen 
*/

//#include <avr/sfr_defs.h>
//#include <avr\io.h>

//ANALOG IN Section
#define A0	PC0
#define A1	PC1
#define A2	PC2
#define A3	PC3
#define A4	PC4
#define A5	PC5
//ANALOG IN Section
//BITdef
#define A0_BIT	(1<<PC0)
#define A1_BIT	(1<<PC1)
#define A2_BIT	(1<<PC2)
#define A3_BIT	(1<<PC3)
#define A4_BIT	(1<<PC4)
#define A5_BIT	(1<<PC5)

//DIGITAL( PWM )
//PORTD DRRD
#define DP0	PD0	//RX 
#define DP1	PD1	//TX
#define DP2	PD2)
#define DP3	PD3
#define DP4	PD4
#define DP5	PD5
#define DP6	PD6
#define DP7	PD7
//DIGITAL( PWM )
//PORTD DRRD
//BITdef
#define DP0_BIT	(1<<PD0)	//RX 
#define DP1_BIT	(1<<PD1)	//TX
#define DP2_BIT	(1<<PD2)
#define DP3_BIT	(1<<PD3)
#define DP4_BIT	(1<<PD4)
#define DP5_BIT	(1<<PD5)
#define DP6_BIT	(1<<PD6)
#define DP7_BIT	(1<<PD7)



//PORTB DRRB
#define DP8		PB0
#define DP9		PB1
#define DP10	PB2
#define DP11	PB3
#define DP12	PB4
#define DP13	PB5
//#define DP21	AREF
#define DP27	PC4 //SDA
#define DP28	PC5 //SCL/PORTB DRRB
//BITdef
#define DP8_BIT		(1<<PB0)
#define DP9_BIT		(1<<PB1)
#define DP10_BIT	(1<<PB2)
#define DP11_BIT	(1<<PB3)
#define DP12_BIT	(1<<PB4)
#define DP13_BIT	(1<<PB5)
//#define DP21	AREF
#define DP27_BIT	(1<<PC4) //SDA
#define DP28_BIT	(1<<PC5) //SCL


#endif //ARDUIO_UNO_HEADER