

#ifndef STEPMOT_XWIRE_HEADER
#define STEPMOT_XWIRE_HEADER

#include <avr/sfr_defs.h>
#include <avr\io.h>
#include <avr\interrupt.h>
#include <stdlib.h> //itoa ultoa
#include <avr\pgmspace.h> // <--#include <progmem.h>

extern volatile PGM_P gppmgPattern;
extern volatile uint8_t gu8Parser;  // *( Prser + nn )
extern volatile uint8_t gu8PatternSize; //

extern const char MCA_ARDUINO_SM[];
extern const char MCA_FULLSTEP[];
extern const char MCA_HALFSTEP[];


#define SM_DDRX			DDRC
#define SM_PORTX		PORTC
#define SM_PORT_MASK	0x3F // 6 BIT!!!!!!!!!!!!
#define SM_PORT_INIT()  (SM_DDRX |= SM_PORT_MASK)

#define SMTYPE_FULLSTEP			1
#define SMTYPE_HALFSTEP			2
#define SMTYPE_5POL_MINISTEP	3

#define MOTOR_ON 			0x01
#define MOTOR_DIRECTION		0x02
#define MOTOR_RAMPE_USED	0x04
#define MOTOR_RAMPE_AKTIV	0x08
#define MOTOR_RAMPE_END		0x10
extern uint8_t gu8SM_Status;

extern void SelectStepMotType( uint8_t u8Type );
extern void Start_STEPM_Timer_1(uint16_t u16Frq);

#endif //STEPMOT_XWIRE_HEADER
