//#include "lcd.h"
#include "ds1302.h"
#include "delay.h"
#include <stdlib.h>
#include <avr/io.h>
#include "debug.h"
#include "Befehle.h"
#include "debug.h"
#include "ds1302.h"

#define SOFTWARE	"ADCC-TExt"
#define HARDWARE	"Arduino-UNO ATMega328"
#define DATUM		"04.04.2016 12:00"
#define AUTOR		"* Christof Ermer *"
#define IHAVENOBRAIN	"I have no brain"	
#define USEYOURS		"Use your own"

#include <avr/sfr_defs.h>
#include <avr\io.h>
#include <util\delay.h>
#include <avr/wdt.h>
#include <avr\interrupt.h>
#include <stdlib.h> //itoa ultoa
#include <avr\pgmspace.h> // <--#include <progmem.h>
#include <math.h>
#include "main.h"
#include "uart.h"
//#include "lcd.h"
#include "Befehle.h"
#include "debug.h"
#include "ds1302.h"


volatile uint32_t gu32_Ticks;	 //  T2 TimerCounter
volatile uint8_t gu8Status;
// Interrupt Section
// ********************
ISR( TIMER2_OVF_vect )    //Dieser Vector steht in der iom328p.h
// ********************
{ 	// Interrupt Variablen mssen "volatile" deklariert sein
volatile static uint32_t u32Merke_T;
volatile static uint32_t u32PWM_T;
//hochzhlen ? 244*/Sekunde
gu32_Ticks++;

if( ( gu32_Ticks - u32Merke_T) > TICK_1000MS )
	{
	u32Merke_T = gu32_Ticks;	//neue Zeit merken
	gu8Status |= STATUS_TICK_EVENT;
	};
	
if( ( (gu32_Ticks) - u32PWM_T) > 24 )
	{
	u32PWM_T = gu32_Ticks;	//neue Zeit merken
	UART_TXRX_Check();  //langsam, aber sehen ob was kommt am UART
	};	
	
};


// ************************************
int main(void)
// ************************************
{
uint8_t u8NN = 0;
uint8_t u8Line;

wdt_reset();   //WATCHDOG!
wdt_enable(5); //500mS Totmannknopf

uart_init( UART_BAUD_SELECT_DOUBLE_SPEED(UART_BAUD_RATE, F_CPU) );
ResetRxBuff();
sei(); 

//TickCounter Starten
TCNT2=0;
TIMSK2 = (1 << TOIE2);	//Interrrupt aktivieren
sei(); //cli();
TCCR2B = (1 << CS22) | (1 << CS21);	//Vorteiler /256 einschalten
sei();

uart_puts_p( PSTR( HARDWARE ));uart_putc(13); 
uart_puts_p(  PSTR( SOFTWARE ) );uart_putc(13);
uart_puts_p( PSTR( DATUM )  );uart_putc(13); 
uart_puts_p( PSTR( AUTOR ) );uart_putc(13); 
uart_puts_p( PSTR( IHAVENOBRAIN ) );uart_putc(13); 
uart_puts_p( PSTR( USEYOURS ) );uart_putc(13); 



//lcd_init (LCD_DISP_ON);

gsUhrData.sec_h = 0;
gsUhrData.sec_l = 0;
gsUhrData.min_h = 1;
gsUhrData.min_l = 5;
gsUhrData.hr_h = 0;
gsUhrData.hr_l = 9;
gsUhrData.date_h = 0;
gsUhrData.date_l = 4;
gsUhrData.month_h = 0;
gsUhrData.month_l = 4;
gsUhrData.year_h = 1;
gsUhrData.year_l = 7;

ds1302_set_data ();

gu8Status |= STATUS_TICK_MSG_FLAG;


//write_byte(CONTROL, 0);
//write_byte(SEC, 0);

for (;;)	

	{          	
	wdt_reset();	//WATCHDOG!

	if( gu8Status & STATUS_TICK_EVENT )
		{
		gu8Status &= ~STATUS_TICK_EVENT;
		
		//PORTB ^= LED1_BLINK;	// ab jetzt langsame ~1Hz Action				
		if( gu8Status & STATUS_TICK_MSG_FLAG ) //TO/TF
			{
			/*
			uart_puts( ultoa( ADC_10Bit(0), gcaStr, 10 ) );
			PotiTon( ADC_10Bit(0) );
			uart_putc( 13 );
			
			//uart_putc( 13 ); //CR
			//uart_puts_p( PSTR("== Hier bin ich Aktiv !! ==") );
			//uart_putc( 13 ); //CR
			//
			//uart_puts_p( PSTR("PWM=") );
			//uart_puts( ultoa( OCR0A, gcaStr, 10 ) );
			//uart_putc( 13 ); //CR
			*/
			ds1302_get_data ();

			uart_putc (gsUhrData.hr_h);
			uart_putc (gsUhrData.hr_l);
			uart_putc (':');
			uart_putc (gsUhrData.min_h);
			uart_putc (gsUhrData.min_l);
			uart_putc (':');
			uart_putc (gsUhrData.sec_h);
			uart_putc (gsUhrData.sec_l);
			
			uart_puts_p( PSTR("  -Date:") ); //Space

			uart_putc (gsUhrData.date_h);
			uart_putc (gsUhrData.date_l);
			uart_putc ('.');
			uart_putc (gsUhrData.month_h);
			uart_putc (gsUhrData.month_l);
			uart_putc ('.');
			uart_putc (gsUhrData.year_h);
			uart_putc (gsUhrData.year_l);
			
			uart_putc( 13 );
/*
	ds1302_get_data ();

	lcd_gotoxy (0,0);
	
	lcd_putc (gsUhrData.hr_h);
	lcd_putc (gsUhrData.hr_l);
	lcd_putc (':');
	lcd_putc (gsUhrData.min_h);
	lcd_putc (gsUhrData.min_l);
	lcd_putc (':');
	lcd_putc (gsUhrData.sec_h);
	lcd_putc (gsUhrData.sec_l);

	lcd_gotoxy (0,1);

	lcd_putc (gsUhrData.date_h);
	lcd_putc (gsUhrData.date_l);
	lcd_putc ('.');
	lcd_putc (gsUhrData.month_h);
	lcd_putc (gsUhrData.month_l);
	lcd_putc ('.');
	lcd_putc (gsUhrData.year_h);
	lcd_putc (gsUhrData.year_l);

	delay_ms (100);
	lcd_clrscr ();
			
*/
			};
		};
	};
};
