#ifndef BCD_4X_HEADER
	#define BCD_4X_HEADER

#include "OutPort74-595-9Bit.h"
	
//ONE_NUMBER	
#define ONEBCD_DDRX DDRD
#define ONEBCD_PORT PORTD
#define ONEBCD_MASK	0b01111100
#define ONEBCD_SHIFTDATA(x) (ONEBCD_PORT = ((x) << 2))

#define INIT_1X_BCD() (ONEBCD_DDRX |= ONEBCD_MASK)
#define INIT_4X_BCD() OUT_74595_INITDIRREG()
// REST STEHT IN OutPort74-595.h

#define ENA_EINER ~0x8F
#define ENA_ZEHNER ~0x4F
#define ENA_HUNDERT ~0x2F
#define ENA_TAUSEND ~0x1F
#define ENA_PUNKT 0x100 // bertrag

extern void BCD4x(uint16_t u16Val);
extern void ShiftPunkt_4XBCD(uint8_t u8True);


#endif //BCD_4X_HEADER