

/*
Christof Ermer
10.02.2015
Neue Version 02.2015 fr Kurs

NICHT VERGESSEN :
SCL/MR PIN 10  = 1
/OE Pin 13 = 0

*/


#ifndef OUTSHIFT_74_595_HEADER
#define OUTSHIFT_74_595_HEADER

// __asm__ __volatile__( "rjmp 1f\n 1:" );    // 2 cycles

#define TWO_CYCLES() __asm__ __volatile__( "rjmp 1f\n 1:" )

///ANPASSEN AN CHIP-ZAHL
#define USED_74595_ICS	3
//POINTER des Datentyps der Funktion ebenfalls anpassen

#define OUTSHIFT74595_DDR   DDRB
#define OUTSHIFT74595_PORT  PORTB

#define ST_CP_74595  (1<<PB0)
#define DS_74595     (1<<PB1)
#define SH_CP_74595  (1<<PB2)

#define OUT_74595_INITDIRREG()	(OUTSHIFT74595_DDR |= DS_74595 | ST_CP_74595 | SH_CP_74595)

#define OUT_74595_SERDATA_LOW()		(OUTSHIFT74595_PORT  &= ~ DS_74595 ) //Daten rausshiften
#define OUT_74595_SERDATA_HIGH()	(OUTSHIFT74595_PORT |= DS_74595 ) //Daten rausshiften

#define OUT_74595_SCK_LOW()		(OUTSHIFT74595_PORT &= ~ SH_CP_74595 ) //Shift clock
#define OUT_74595_SCK_HIGH()	(OUTSHIFT74595_PORT |= SH_CP_74595 ) //Shift clock

#define OUT_74595_RCK_LOW()		(OUTSHIFT74595_PORT &= ~ ST_CP_74595 ) // Latch Data to Output
#define OUT_74595_RCK_HIGH()	(OUTSHIFT74595_PORT |= ST_CP_74595 ) // Latch Data to Output


//POINTERdes Datentyps der Funktion ebenfalls anpassen
extern void OUT_74595( uint32_t *p1_X_OutVal ) ;

#endif //OUTSHIFT_74_595_HEADER
