
//------------------------------------------------------------------------------
// Programmed by Christof Ermer
//------------------------------------------------------------------------------
#define SOFTWARE	"SOS-Blinki  interne LED"
#define HARDWARE	"Arduino-UNO ATMega328"
#define DATUM		"16.03.2017 12:00"
#define AUTOR		"=/\= Christof Ermer =/\= "
#define IHAVENOBRAIN	"I have no brain"	
#define USEYOURS		"Use your own"

#include <avr/sfr_defs.h>
#include <avr\io.h>
#include <util\delay.h>
#include <math.h>
#include <avr\interrupt.h>  // DAS kommt jetzt dazu

#define LED_TOGGLE  0x01
#define LED_PORT	PORTC
#define LED_DDRX	DDRC


// *********************
ISR( INT0_vect )
// *********************
{
LED_PORT ^= LED_TOGGLE;   // Wechsel
EIFR |= ( 1<< INTF0 );  // Lsche Interrupt Flag
};


// *******************
int main(void)
// *******************
{
LED_DDRX |= LED_TOGGLE;

DDRD &= ~(1<<PD2);   // Interrupt auf Input

//EICRA = (1<< ISC01) | (1<< ISC00); // Aktiviere steigende Flanke an INT0

EICRA = 0; //Low Level; // Aktiviere INT0
// generiert permanete Intterupts

EICRA = (1<< ISC01); // Aktiviere fallende Flanke an INT0
//EICRA =  (1<< ISC01); // Aktiviere ANY Flanke an INT0

EIFR |= ( 1<< INTF0 );  // Lsche Interrupt Flag
EIMSK |= ( 1<< INT0 ); //Externen Interrupt aktivieren
sei(); // WICHTIG:  global set  enable interrrupt


LED_PORT |= LED_TOGGLE;   //LED Test fr Start

while(1)
	{
	//EIFR |= ( 1<< INTF0 );  // Lsche Interrrupt Flag
	};

};	//main
// *** MAIN END ***
