#ifndef DEBUG_TOOLS_HEADER
	#define DEBUG_TOOLS_HEADER
/*
Beispiel:
uart_puts( ByteToBin( gu8DS1337_Status )); uart_putc(13);		
Toggle_Bit(2);
*/

// ***  Schalte ein was du brauchst  ***
//#define BYTE_TO_BIN_USED
//#define WORD_TO_BIN_USED
#define TOGGLE_FLAG_USED

#ifdef TOGGLE_FLAG_USED	// INDIVIDUEL EINSTELLEN
	#define TOGGLE_DIRREG	DDRD
	#define TOGGLE_PORT		PORTD
	#define TOGGLE_BIT		7	// Bit Nr: 0..7
#endif

#ifdef BYTE_TO_BIN_USED
extern char * ByteToBin(uint8_t u8Byte);
#endif
#ifdef WORD_TO_BIN_USED
extern char * WordToBin(uint16_t u16Word);
#endif
#ifdef TOGGLE_FLAG_USED
extern void Toggle_Bit(uint8_t u8Cnt);
#endif

#endif //DEBUG_TOOLS_HEADER