

#ifndef MAIN_HEADER  //Prevents multiple includes
	#define MAIN_HEADER


// Hardwareassignment
//#define UART_#_RATE	38400
//#define UART_BAUD_RATE	9600	/* 9600 baud */
//#define UART_BAUD_RATE	2400
//#define UART_BAUD_RATE	19200U
#define UART_BAUD_RATE	115200UL	//UART_BAUD_SELECT_DOUBLE_SPEED

//PORTD TX/RX ERST MAL FR  FLAGS
#define PD0_RX_BIT	0x01	//PIN2
#define PD1_TX_BIT	0x02	//PIN3

//=============================
#define WDTO_2S   7 //WatchDog
//=============================

// 16000000 / 256 = ~244
#define TICK_10SEKUNDEN 2441U
#define TICK_2000MS 488U
#define TICK_1500MS 366U
#define TICK_1000MS 244U
#define TICK_500MS 122U
#define TICK_250MS 61U
#define TICK_100MS 24U
#define TICK_50MS 12U
#define TICK_25MS 6U
#define TICK_10MS 2U

#define BLOCK_NESTED_CA
//RUNDUNG
//1 MHZ / 256/ 2

#define BLOCK_NESTED_CALLS	0x01
#define MAKE_LONGTIME_JOBS	0x02
#define MENUE_ANZEIGEN		0x04
#define TX_TRAFFIC_ON		0x08

//gu8ProgModeFlag

#define LED1 _BV(6);
#define LED_DDRX DDRD
#define LED_PORT PORTD
#define TICK_EVENT	0x01

#define SOLLFREQUENZ 1000

volatile uint32_t gu32_Tick;//  T2 timeCounter
#endif  //MAIN_HEADER
