
#ifndef EV_BCD_BOARD_HEADER
#define EV_BCD_BOARD_HEADER

#define EV_TASTER_DDRX	DDRC
#define EV_TASTER_PINX	PINC
#define EV_TASTER_PORTX	PORTC  //PULLUP

#define EV_LED_DDRX		DDRC
#define EV_LED_PORTX	PORTC

// Bits nach Situation konfigurieren
#define EV_LED		(1<< 5 )
#define EV_TASTER	(1<< 2 )

#define LED_SET()	(EV_LED_PORTX &= ~EV_LED)
#define LED_CLR()	(EV_LED_PORTX |= EV_LED)

#define GET_TASTER()	(EV_TASTER_PINX & EV_TASTER)

//INITS 
/*
V_TASTER_DDRX &= ~ EV_TASTER;	// Taster Bit  an PINC)
EV_TASTER_PORTX |= EV_TASTER;	// Pullup aktivieren
*/

//J1
#define EV_VP1		(1<< 0 )
#define EV_LED		(1<< 1 )
#define EV_TASTER	(1<< 2 )
#define EV_POTI_REF	(1<< 3 )
#define EV_POTI_SIG	(1<< 4)
#define EV_PWM		(1<< 5 )
#define EV_BUZZ11	(1<< 6 )
#define EV_SUM		(1<< 7 )
#define EV_GND1		(1<< 8 )
#define EV_GND2		(1<< 9 )

//BCD_SHIFT
#define EV_VP2	(1<< 0 )
#define EV_SER 	(1<< 1 )
#define EV_SCK	(1<< 2 )
#define EV_RCK	(1<< 3 )
#define EV_GND3	(1<< 4 )

//BCD1
#define EV_A	(1<< 0 )
#define EV_B	(1<< 1 )
#define EV_C	(1<< 2 )
#define EV_D	(1<< 3 )
#define EV_PKT	(1<< 4 )
#define EV_GND4	(1<< 5 )

#endif //EV_BCD_BOARD_HEADER