/*
Hallo,

Die Rangbedingungen wrde ich jetzt gern beibehalten.

Mein Regler Vorschlag sieht jetzt so aus:

float Regler(float IstWert, float SollWert, float Kp, float Ki)
{
  float u_ges, u_p, u_i;
  static float Abweichung=0;

  Abweichung=SollWert-IstWert;

  u_p  = Kp*Abweichung;

  u_i += Ki*Abweichung;

        u_ges = u_p + u_i;

  if (u_ges > 255) u_ges = 255;
  else if (u_ges < 0) u_ges = 0;

  return u_ges;
}

Autor: Christoph (Gast)
Datum: 24.11.2006 18:31
Hallo,
ich misch mal mit...
Also die Formel fr den PID-Regler sieht wie folgt aus:

u(t) = Kp ( e(t) + 1/Tn * Integral(e(t) * dt) +Tv * e'(t) )

wobei u(t ) die Stellgre, e(t) die Regeldifferenz, KR die
Reglerverstrkung, TN die Nachstellzeit
und TV die Vorhaltzeit ist. (siehe 1 seite vom pdf ber mir)

So, das wollen wir in einer zeitdiskreten Form haben. Da nen Rechner nur
diskrete Werte rechnen kann...
Also wird aus:

Integral(e(t) * dt) => Summe(e(k) ) * delta t // Flche unter einer
Kurve
und e'(t) => (e(k) - e(k-1) ) / delta t       // Steilheit einer
Kurve...

wenn man das in die rsprngliche Gleichung setzt und bisschen hin und
her rechnet (die unendliche Summe z.B. muss man eleminieren) kommt man
auf:

u(k) = u(k-1) * Kr ( ( (1+Tv)/delta t) * e(k) - (1- delta t /Tn +
2*Tv/delta t) * e(k-1) + Tv/delta t *e(k-2)  )

Diese obige Formel haut man in eine Programmierzeile. Danach speichert
man noch u(k-1), e(k-1), e(k-2) fr die nchste Rechnung...

Achja:
Kr = Kp ; Tn = Kr/Ki ; Tv = Kd/Kr

Tn = -26 und Tv = 0.16 sind gute richtwerte...

Viel Spa damit...wer nachlesen will kann sich das obige pdf durchlesen
:)

Ciao
Christoph





Autor: Christoph (Gast)
Datum: 26.11.2006 18:32
Das Problem bei der Differenzengleichung fr den zeitdiskreten
PID-Regler ist ja die Summe. Man msste also die Summe immer wieder neu
berechnen bzw. wird auch mit der Zeit ziemlich gro. Um diese Problem zu
umgehen macht man folgendes:

Man betrachtet die Gleichung fr einen Zeitpunnkt frher, also y(k-1).
Der D-Anteil wird also zu:
(e(k-1) - e(k-2))/Ta
Die Summe beim I-Anteil wird jetzt von i=0 bis k-1 gezhlt.
Der P-Anteil wird einfach zu y(k-1)...

Nun kommt der Trick: Man subtrahiert diese Gleichung von der Gl. fr
y(k).
Also: y(k) - y(k-1)
Was passiert bei der Summe? Folgendes:
Die Summe bei y(k) sieht explizit so aus: e0 + e1+ e2 + ...+e(k)
Die Summe bei y(k-1) hat ein Glied weniger: e0 + e1+  ...+e(k-1)
subrahiert man beide bleibt von den zwei groen Summen nur noch das
Glied e(k) brig! Und ist damit fr den Rechner geeignet...

*/