#include "lcd.h"
#include "ds1302.h"
#include "delay.h"
#include <stdlib.h>
#include <avr/io.h>


int main(void)
{
	unsigned char buffer [5];
	unsigned char sec = 0;

	lcd_init (LCD_DISP_ON);
	
	write_byte(CONTROL, 0);
	write_byte(SEC, 0);

	for (;;)
	{                   	
		sec = read_byte(SEC);	//read the seconds
		delay_ms (100);
		lcd_gotoxy (0,0);
		itoa ((unsigned short) sec, buffer, 10);
		lcd_clrscr ();
		lcd_puts (buffer);
	}
}
