
#include <avr/sfr_defs.h>
#include <avr\io.h>
#include <util\delay.h>
#include <avr/wdt.h>
#include <avr\interrupt.h>
#include <stdlib.h> //itoa ultoa
#include <avr\pgmspace.h> // <--#include <progmem.h>
#include <math.h>
#include "max543.h"


// ****************************
void WriteMAX543(uint16_t u16Val)
// ****************************
{
uint8_t u8NN=11;

MAX543_INITDIR();

MAX543_CLK_LOW(); //Startcondition
MAX543_LOAD_HIGH(); //Startcondition
do
	{
	if(	u16Val & (1 << u8NN) )
		{
		MAX543_SRI_HIGH();
		}
	else
		{
		MAX543_SRI_LOW();
		}
		// __asm__ __volatile__( "rjmp 1f\n 1:" );    // 2 cycles
	_delay_us(1);
	MAX543_CLK_HIGH();
	 //__asm__ __volatile__( "rjmp 1f\n 1:" );    // 2 cycles
	_delay_us(1);
	if( !u8NN )
		{
		MAX543_LOAD_LOW();
		};
	MAX543_CLK_LOW();
	}while(u8NN--);	
 //__asm__ __volatile__( "rjmp 1f\n 1:" );    // 2 cycles
_delay_us(1);
MAX543_LOAD_HIGH() 
};
