#ifndef MAX543_HEADER
#define MAX543_HEADER


// MAX543 ***** MAX543 ***** MAX543 ***** MAX543 ***** MAX543 ***** MAX543 ***** MAX543 *****
/* NEUE PLATINE
#define MAX543CLK_BIT		0x01
#define MAX543SRI_BIT		0x02
#define MAX543LOAD_BIT		0x04
*/
//ALTE PLATINE
#define MAX543PORTX		PORTB
#define MAX543DIRREG	DDRB

#define MAX543CLK_BIT		_BV(PB0)
#define MAX543SRI_BIT		_BV(PB1)
#define MAX543LOAD_BIT		_BV(PB2)
#define MAX543_CTRL_MASK	(MAX543CLK_BIT | MAX543SRI_BIT|  MAX543LOAD_BIT)

#define MAX543_INITDIR()		(MAX543DIRREG |=  MAX543_CTRL_MASK) //DDRC |= 0b00011100

#define MAX543_SRI_HIGH()		(MAX543PORTX |= MAX543SRI_BIT);
#define MAX543_SRI_LOW()		(MAX543PORTX &= ~MAX543SRI_BIT);

#define MAX543_CLK_HIGH() 		(MAX543PORTX |= MAX543CLK_BIT);
#define MAX543_CLK_LOW()		(MAX543PORTX &= ~MAX543CLK_BIT);

#define MAX543_LOAD_HIGH()		(MAX543PORTX |= MAX543LOAD_BIT);	
#define MAX543_LOAD_LOW()		(MAX543PORTX &= ~MAX543LOAD_BIT);


#define AUFLOESUNG_SINUS 4096 //0...4095
#define HALF_RESOLUTION_MULTIPLIER 2047 // ((AUFLOESUNG_SINUS / 2) -1 )
// MAX543 ***** MAX543 ***** MAX543 ***** MAX543 ***** MAX543 ***** MAX543 ***** MAX543 *****
extern void WriteMAX543(uint16_t u16Val);

#endif

