

#ifndef PCF8574_HEADER
#define PCF8574_HEADER

//Folgende Adresse wird schon 8 Bit codet
/*
codiert ->  
| 0 | 1 | 0 | 0 | A2 | A1 | A0 | R/W |  == 64 DEZ = 0x40
7-Bit  codiert als linksbndig 8 Bit + r/W 
*/
#define PCF8574_ADR_PREFIX	0x40 //0b01000000 //== 64 DEZ = 0x40 
#define PCF8574_ADR_WRITE	PCF8574_ADR_PREFIX //+0
#define PCF8574_ADR_READ 	(PCF8574_ADR_PREFIX + I2C_READ) // +1

extern void PCF8574_Call(void);
extern void PCF8574_Init(void);
//-----------------------------------------------------------
#endif //PCF8574_HEADER