#ifndef _DELAY_H
#define _DELAY_H

#include <avr/io.h>


#define delay_ms(ms)		delay_long((TIME_L1_MS*ms))
#define delay_us(us)		delay_short(((TIME_S1_MS*us)/1000))

#define TIME_L1_MS			(1*(F_CPU/6000))
#define TIME_S1_MS			(1*(F_CPU/4000))

void delay_long(unsigned long number_of_loops); 
void delay_short(unsigned short number_of_loops);

#endif


