


//------------------------------------------------------------------------------
// Programmed by Christof Ermer
//------------------------------------------------------------------------------

/*
Device signature = 0x1e950f

-F in AVerdude um das zu ignorieren  HILFT??
avrdude: warning: cannot set sck period. please check for usbasp firmware update
*/


#define SOFTWARE	"LEDLeiste"
#define HARDWARE	"Arduino-UNO ATMega328"
#define DATUM		"21.03.2016 12:00"
#define AUTOR		"=/\= Christof Ermer =/\= "
#define IHAVENOBRAIN	"I have no brain"	
#define USEYOURS		"Use your own"

#include <avr/sfr_defs.h>
#include <avr\io.h>
#include <util\delay.h>

#include "OutPort74-595.h"
//#include "LEDLeiste.h"

#define POINT_BIT	0x10
#define BCD_BITS	0x0F
#define BCD_4X_ENA_MODULO	4

int main(void)
// *******************
{
uint8_t u8NN = 0;
uint8_t BCD_4_ENA = 0;
uint8_t BCD_OutVal = 0;

DDRB = POINT_BIT | BCD_BITS;
OUT_74595_INITDIRREG();

while(1)  // endless loop
	{
	u8NN++;
	u8NN %= 10;
	PORTB &= ~BCD_BITS;
	PORTB |= u8NN;
	PORTB ^= POINT_BIT;
/*	
	if( u8NN == 0 )
		{
		BCD_4_ENA++;
		BCD_4_ENA %= BCD_4X_ENA_MODULO;
		};
*/	
	BCD_4_ENA++;
	BCD_4_ENA %= BCD_4X_ENA_MODULO;
	BCD_OutVal = (~(1 << BCD_4_ENA) << 4) |  u8NN;
	OUT_74595( (uint32_t*)&BCD_OutVal ); 
	_delay_ms(500);
	};	//while

};	//main
// *** MAIN END ***

/*
vrdude -patmega328p -Pcom8  	     -b115200   -c arduino  -v -v  -D -Uflash:w:main.hex:i

avrdude: Version 5.11, compiled on Sep  2 2011 at 19:38:36
         Copyright (c) 2000-2005 Brian Dean, http://www.bdmicro.com/
         Copyright (c) 2007-2009 Joerg Wunsch

         System wide configuration file is "C:\WinAVR-20100110\bin\avrdude.conf"

         Using Port                    : com8
         Using Programmer              : arduino
         Overriding Baud Rate          : 115200
         AVR Part                      : ATMEGA328P
         Chip Erase delay              : 9000 us
         PAGEL                         : PD7
         BS2                           : PC2
         RESET disposition             : dedicated
         RETRY pulse                   : SCK
         serial program mode           : yes
         parallel program mode         : yes
         Timeout                       : 200
         StabDelay                     : 100
         CmdexeDelay                   : 25
         SyncLoops                     : 32
         ByteDelay                     : 0
         PollIndex                     : 3
         PollValue                     : 0x53
         Memory Detail                 :

                                  Block Poll               Page                       Polled
           Memory Type Mode Delay Size  Indx Paged  Size   Size #Pages MinW  MaxW   ReadBack
           ----------- ---- ----- ----- ---- ------ ------ ---- ------ ----- ----- ---------
           eeprom        65    20     4    0 no       1024    4      0  3600  3600 0xff 0xff
           flash         65     6   128    0 yes     32768  128    256  4500  4500 0xff 0xff
           lfuse          0     0     0    0 no          1    0      0  4500  4500 0x00 0x00
           hfuse          0     0     0    0 no          1    0      0  4500  4500 0x00 0x00
           efuse          0     0     0    0 no          1    0      0  4500  4500 0x00 0x00
           lock           0     0     0    0 no          1    0      0  4500  4500 0x00 0x00
           calibration    0     0     0    0 no          1    0      0     0     0 0x00 0x00
           signature      0     0     0    0 no          3    0      0     0     0 0x00 0x00

         Programmer Type : Arduino
         Description     : Arduino
         Hardware Version: 3
         Firmware Version: 4.4
         Vtarget         : 0.3 V
         Varef           : 0.3 V
         Oscillator      : 28.800 kHz
         SCK period      : 3.3 us

avrdude: AVR device initialized and ready to accept instructions

Reading | ################################################## | 100% 0.00s

avrdude: Device signature = 0x1e950f
avrdude: reading input file "main.hex"
avrdude: writing flash (220 bytes):

Writing | ################################################## | 100% 0.04s

avrdude: 220 bytes of flash written
avrdude: verifying flash memory against main.hex:
avrdude: load data flash data from input file main.hex:
avrdude: input file main.hex contains 220 bytes
avrdude: reading on-chip flash data:

Reading | ################################################## | 100% 0.03s

avrdude: verifying ...
avrdude: 220 bytes of flash verified

avrdude done.  Thank you.

*/
