
//------------------------------------------------------------------------------
// Programmed by Christof Ermer
//------------------------------------------------------------------------------
#define SOFTWARE	"TICK_TIMER_TASTE INT0"
#define HARDWARE	"Arduino-UNO ATMega328"
#define DATUM		"16.03.2017 12:00"
#define AUTOR		"=/\= Christof Ermer =/\= "
#define IHAVENOBRAIN	"I have no brain"	
#define USEYOURS		"Use your own"

#include <avr/sfr_defs.h>
#include <avr\io.h>
#include <util\delay.h>
//#include <math.h>
#include <avr\interrupt.h>


#define LED1	0x01

#define TICK_EVENT	0x01

volatile uint32_t gu32_Tick;
volatile uint8_t gu8Status;

// ************************
ISR( TIMER2_OVF_vect)
// ************************
{
volatile static uint32_t u32_Jetzt;

gu32_Tick++;

if( (gu32_Tick - u32_Jetzt) > 244 )
	{
	u32_Jetzt = gu32_Tick;
	gu8Status |= TICK_EVENT;	
	};	
};



// ************************
int main (void)
// ************************
{

DDRC |= LED1;		//Bit auf Ausgang setzen;

// Timer2 Tick Init
cli();
TCNT2=0;
TIMSK2 |= (1<<TOIE2);
TCCR2B = (1<<CS22) | (1<<CS21);
sei();

while (1)
	{
	
	if( gu8Status & TICK_EVENT )
		{
		gu8Status &= ~TICK_EVENT;
		PORTC ^= LED1;
		}	
	};
};